import { __decorate } from "tslib";
import { attr } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { foundationIconTooltipStyles as styles } from './icon-tooltip.styles';
import { foundationIconTooltipTemplate as template } from './icon-tooltip.template';
/**
 * @tagname %%prefix%%-icon-tooltip
 */
export class IconTooltip extends FoundationElement {
    constructor() {
        super(...arguments);
        this.isError = false;
    }
}
__decorate([
    attr({ attribute: 'tooltip-id' })
], IconTooltip.prototype, "id", void 0);
__decorate([
    attr({ attribute: 'tooltip-text' })
], IconTooltip.prototype, "tooltipText", void 0);
__decorate([
    attr({ attribute: 'error', mode: 'boolean' })
], IconTooltip.prototype, "isError", void 0);
// explicitly declaring for extensibility
export const foundationIconTooltipShadowOptions = undefined;
/**
 * The Foundation Icon Tooltip
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-icon-tooltip\>
 */
export const foundationIconTooltip = IconTooltip.compose({
    baseName: 'icon-tooltip',
    styles,
    template,
    shadowOptions: foundationIconTooltipShadowOptions,
});
